> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Pre-translate settings

> Deprecated. Use PUT /api2/v4/projectTemplates/{projectTemplateUid}/preTranslateSettings instead.



## OpenAPI

````yaml /openapi/phrase-tms-v2.json put /api2/v2/projectTemplates/{projectTemplateUid}/preTranslateSettings
openapi: 3.0.0
info:
  description: |-
    Welcome to Phrase's TMS API documentation. 

     Please visit our [help center](https://support.phrase.com/hc/en-us/sections/5709662083612) for more information about the APIs. 

     If you have any questions, please contact [Support](https://support.phrase.com/hc/requests/new). 

     Please, include the `User-Agent` header with the name of your application or project. It might be a good idea to include some sort of contact information as well, so that we can get in touch if necessary. Examples of excellent `User-Agent` headers:
     > User-Agent: Example mobile app (example@phrase.com) <br/> User-Agent: ACME Inc Java 1.8 Client (http://acmeinc.com/contact)
  version: '2'
  title: Phrase TMS API
servers:
  - url: https://cloud.memsource.com/web
security:
  - ApiToken: []
  - OAuth2: []
tags:
  - name: Analysis
  - name: Bilingual File
  - name: Connector
  - name: Conversations
  - name: Job
  - name: Net Rate Scheme
  - name: Project
  - name: Project Template
  - name: Provider
  - name: Quality Assurance
  - name: Quote
  - name: Reference File
  - name: Term Base
  - name: Translation
  - name: Translation Memory
  - name: User
  - name: Webhook
  - name: Workflow changes
paths:
  /api2/v2/projectTemplates/{projectTemplateUid}/preTranslateSettings:
    put:
      tags:
        - Project Template
      summary: Update Pre-translate settings
      description: >-
        Deprecated. Use PUT
        /api2/v4/projectTemplates/{projectTemplateUid}/preTranslateSettings
        instead.
      operationId: updatePreTranslateSettingsForProjectTemplate
      parameters:
        - name: projectTemplateUid
          in: path
          description: Project template UID
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PreTranslateSettingsV2DtoV2'
        description: Pre-translate settings to apply
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PreTranslateSettingsV2DtoV2'
        '400':
          description: Bad Request
        '401':
          description: Not authorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '405':
          description: Method not allowed
        '408':
          description: Timeout
        '410':
          description: Gone
        '415':
          description: Unsupported media type
        '429':
          description: Too many requests
        '500':
          description: Internal server error
        '501':
          description: Not implemented
      deprecated: true
components:
  schemas:
    PreTranslateSettingsV2DtoV2:
      type: object
      properties:
        autoPropagateRepetitions:
          type: boolean
          description: 'Propagate repetitions. Default: false'
        confirmRepetitions:
          type: boolean
          description: 'Set segment status to confirmed for: Repetitions. Default: false'
        machineTranslationSettings:
          $ref: >-
            #/components/schemas/PreTranslateSettingsV2DtoMachineTranslationSettingsDtoV2
        nonTranslatableSettings:
          $ref: >-
            #/components/schemas/PreTranslateSettingsV2DtoNonTranslatableSettingsDtoV2
        overwriteExistingTranslations:
          type: boolean
          description: 'Overwrite existing translations in target segments. Default: false'
        preTranslateOnJobCreation:
          type: boolean
          description: >-
            Pre-translate & set job to completed: Pre-translate on job creation.
            Default: false
        setJobStatusCompleted:
          type: boolean
          description: >-
            Pre-translate & set job to completed: Set job to completed once
            pre-translated. Default: false
        setJobStatusCompletedWhenConfirmed:
          type: boolean
          description: >-
            Pre-translate & set job to completed when all segments confirmed:

            Set job to completed once pre-translated and all segments are
            confirmed. Default: false
        setProjectStatusCompleted:
          type: boolean
          description: >-
            Pre-translate & set job to completed: Set project to completed once
            all jobs pre-translated.
                    Default: false
        translationMemorySettings:
          $ref: >-
            #/components/schemas/PreTranslateSettingsV2DtoTranslationMemorySettingsDtoV2
      description: Pre-translate settings
    PreTranslateSettingsV2DtoMachineTranslationSettingsDtoV2:
      type: object
      properties:
        confirm100PercentMatches:
          type: boolean
          description: >-
            Set segment status to confirmed for: 100% translation machine
            matches. Default: false
        lock100PercentMatches:
          type: boolean
          description: 'Lock section: 100% machine translation suggestions. Default: false'
        mtQeMatchesInEditors:
          type: boolean
          description: >-
            Display quality-estimated machine translation suggestions in the CAT
            Editor. Default: false
        useAltTransOnly:
          type: boolean
          description: >-
            Do not put machine translations to target and use alt-trans fields
            (alt-trans in mxlf).

            Default: false
        useMachineTranslation:
          type: boolean
          description: 'Pre-translate from machine translation. Default: false'
      description: Machine translation related settings
    PreTranslateSettingsV2DtoNonTranslatableSettingsDtoV2:
      type: object
      properties:
        confirm100PercentMatches:
          type: boolean
          description: >-
            Set segment status to confirmed for: 100% non-translatables.
            Default: false
        lock100PercentMatches:
          type: boolean
          description: 'Lock section: 100% non-translatables. Default: false'
        nonTranslatablesInEditors:
          type: boolean
          description: If non-translatables are enabled in Editors.
        preTranslateNonTranslatables:
          type: boolean
          description: 'Pre-translate non-translatables. Default: false'
      description: Non-translatables related settings
    PreTranslateSettingsV2DtoTranslationMemorySettingsDtoV2:
      type: object
      properties:
        confirm100PercentMatches:
          type: boolean
          description: >-
            Set segment status to confirmed for: 100% translation memory
            matches. Default: false
        confirm101PercentMatches:
          type: boolean
          description: >-
            Set segment status to confirmed for: 101% translation memory
            matches. Default: false
        lock100PercentMatches:
          type: boolean
          description: 'Lock section: 100% translation memory matches. Default: false'
        lock101PercentMatches:
          type: boolean
          description: 'Lock section: 101% translation memory matches. Default: false'
        translationMemoryThreshold:
          type: number
          format: double
          description: Pre-translation threshold percent
          minimum: 0
          maximum: 1.01
          exclusiveMinimum: false
          exclusiveMaximum: false
        useTranslationMemory:
          type: boolean
          description: 'Pre-translate from translation memory. Default: false'
      description: Translation memory related settings
  securitySchemes:
    ApiToken:
      description: >-
        Get a token from `auth/login` [endpoint](#operation/login) and then pass
        it in the `Authorization` HTTP header in every subsequent API call. For
        more information visit our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#token-0-0).
      type: apiKey
      name: Authorization
      in: header
    OAuth2:
      description: >-
        A standard OAuth 2.0 authorization code flow. For more information visit
        our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#oauth-2-0-0-1).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://cloud.memsource.com/web/oauth/authorize
          tokenUrl: https://cloud.memsource.com/web/oauth/token
          scopes: {}

````